# 2025-05-12: Customer Service - improvements

## Overview

The token responses was improved with new properties compliant with the OAuth 2.0 specification. Properties from the response `accessToken`, `saasToken`, `expiresIn`, `refreshToken`, `refreshTokenExpiresIn` are now deprecated in favor of the new properties (`access_token`, `saas_token`, `expires_in`, `refresh_token`, `refresh_token_expires_in`, `token_type`).\
All deprecations will be removed on 2025-11-13. From now, use the new token properties.

## Updated endpoints

| Endpoint                                                                                                                                                                                                                | Description                                                                                                                                 |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| [Logging in a customer](https://developer.emporix.io/api-references/api-guides/companies-and-customers/customer-management/api-reference/authentication-and-authorization#post-customer-tenant-login)                   | New properties `access_token`, `saas_token`, `expires_in`, `refresh_token`, `refresh_token_expires_in`, `token_type` added to the response. |
| [Refreshing a customer token](https://developer.emporix.io/api-references/api-guides/companies-and-customers/customer-management/api-reference/authentication-and-authorization#get-customer-tenant-refreshauthtoken)   | New properties `access_token`, `expires_in`, `refresh_token`, `refresh_token_expires_in`, `token_type` added to the response.               |
| [Creating a customer account with double opt-in](https://developer.emporix.io/api-references/api-guides/companies-and-customers/customer-management/api-reference/double-opt-in#get-customer-tenant-signup-optin-token) | New properties `access_token`, `saas_token`, `expires_in`, `refresh_token`, `refresh_token_expires_in`, `token_type` added to the response. |

## Known problems

There are no known problems.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.emporix.io/changelog/archive/changelog-2025/2025-05-12-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
